Bullet Collision Detection & Physics Library: btConvexPolyhedron Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btConvexPolyhedron Class Reference

`#include <btConvexPolyhedron.h>`

Collaboration diagram for btConvexPolyhedron:
[legend]

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btConvexPolyhedron ()
| This file was written by Erwin Coumans Separating axis rest based on work from Pierre Terdiman, see And contact clipping based on work from Simon Hobbs.
virtual | ~btConvexPolyhedron ()
void | initialize ()
void | initialize2 ()
bool | testContainment () const
void | project (const btTransform &trans, const btVector3 &dir, btScalar &minProj, btScalar &maxProj, btVector3 &witnesPtMin, btVector3 &witnesPtMax) const

## Public Attributes
btAlignedObjectArray< btVector3 > | m_vertices
btAlignedObjectArray< btFace > | m_faces
btAlignedObjectArray< btVector3 > | m_uniqueEdges
btVector3 | m_localCenter
btVector3 | m_extents
btScalar | m_radius
btVector3 | mC
btVector3 | mE

## Detailed Description

Definition at line 33 of file btConvexPolyhedron.h.

## Constructor & Destructor Documentation

## ◆ btConvexPolyhedron()

btConvexPolyhedron::btConvexPolyhedron | ( |  | ) |

This file was written by Erwin Coumans Separating axis rest based on work from Pierre Terdiman, see And contact clipping based on work from Simon Hobbs.

Definition at line 23 of file btConvexPolyhedron.cpp.

## ◆ ~btConvexPolyhedron()

btConvexPolyhedron::~btConvexPolyhedron | ( |  | ) |
| virtual

Definition at line 26 of file btConvexPolyhedron.cpp.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btConvexPolyhedron::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## ◆ initialize()

void btConvexPolyhedron::initialize | ( |  | ) |

Definition at line 105 of file btConvexPolyhedron.cpp.

## ◆ initialize2()

void btConvexPolyhedron::initialize2 | ( |  | ) |

Definition at line 177 of file btConvexPolyhedron.cpp.

## ◆ project()

void btConvexPolyhedron::project | ( | const btTransform & | trans,
|  | const btVector3 & | dir,
|  | btScalar & | minProj,
|  | btScalar & | maxProj,
|  | btVector3 & | witnesPtMin,
|  | btVector3 & | witnesPtMax ) const

Definition at line 277 of file btConvexPolyhedron.cpp.

## ◆ testContainment()

bool btConvexPolyhedron::testContainment | ( |  | ) | const

Definition at line 71 of file btConvexPolyhedron.cpp.

## Member Data Documentation

## ◆ m_extents

btVector3 btConvexPolyhedron::m_extents

Definition at line 47 of file btConvexPolyhedron.h.

## ◆ m_faces

btAlignedObjectArray<btFace> btConvexPolyhedron::m_faces

Definition at line 43 of file btConvexPolyhedron.h.

## ◆ m_localCenter

btVector3 btConvexPolyhedron::m_localCenter

Definition at line 46 of file btConvexPolyhedron.h.

## ◆ m_radius

btScalar btConvexPolyhedron::m_radius

Definition at line 48 of file btConvexPolyhedron.h.

## ◆ m_uniqueEdges

btAlignedObjectArray<btVector3> btConvexPolyhedron::m_uniqueEdges

Definition at line 44 of file btConvexPolyhedron.h.

## ◆ m_vertices

btAlignedObjectArray<btVector3> btConvexPolyhedron::m_vertices

Definition at line 42 of file btConvexPolyhedron.h.

## ◆ mC

btVector3 btConvexPolyhedron::mC

Definition at line 49 of file btConvexPolyhedron.h.

## ◆ mE

btVector3 btConvexPolyhedron::mE

Definition at line 50 of file btConvexPolyhedron.h.

The documentation for this class was generated from the following files:

- btConvexPolyhedron.h
- btConvexPolyhedron.cpp